SiVArc Installation

Examples See also History Extra
SiVArc Installation

This section contains information on the following topics:
  • Installing SiVArc


Installing SiVArc

Examples See also History Extra
Introduction Requirement Procedure Result How to handle existing SiVArc projects
Installing SiVArc

Introduction

The setup program of the "SiVArc" add-on package starts once the installation medium has been inserted into the respective drive.

You need a valid license to install SiVArc. Use the "Automation License Manager" to manage your license keys.

Note

Version compatibility

Your SiVArc version is only compatible with the corresponding version of STEP 7 and WinCC Professional or WinCC Advanced.

To upgrade your version of the TIA Portal, you must also upgrade your version of SiVArc and vice versa. If you uninstall WinCC or STEP 7, SiVArc is also uninstalled.

Select a side-by-side installation to work with different versions of the TIA Portal.

Note

Windows 10 system requirements

In order to be able to use the complete functionality of SiVArc in Windows 10, you need to install Windows 10 Enterprise Version 1703.

You can find additional information on the topic of "System requirements" in the online help of the TIA Portal.

Requirement

  • STEP7 Professional V16.0 is installed.

  • SIMATIC WinCC Professional V16.0 or SIMATIC WinCC Advanced V16.0 is installed.

Procedure

To install the "SiVArc" add-on package, follow these steps:

  1. Place the installation data medium in the drive.

    To start Setup manually, double-click the "Start.exe" file in the Explorer.

  2. Select an installation language and click "Next."

  3. Select the product you want and click "Next."

  4. To continue the installation, read and accept all license agreements and click "Next".

    If the TIA Portal security and permission settings prevent installation, the security settings dialog opens.

  5. To continue the installation, accept the changes to the security and permission settings.

  6. Check the selected installation settings in the overview.

  7. Change your settings as required and then click "Install".

    Installation is started.

    The completion of the installation is displayed.

  8. Reboot your PC if required or exit Setup.

Result

The "SiVArc" add-on package is installed on your PC.

How to handle existing SiVArc projects

With a basic installation, existing SiVArc projects can be opened in the TIA Portal, even without a SiVArc installation.

If you then open the project with SiVArc, all SiVArc functions are active again.

To upgrade a SiVArc project, you require a SiVArc installation.

A basic installation consists of the following software packages:

  • STEP7 Professional

  • SIMATIC WinCC Professional

    or

  • SIMATIC WinCC Advanced

To remove the reference to SiVArc in your project, delete all SiVArc configurations from your project. When you open the project with a basic installation, information about the missing SiVArc-installation will no longer be output.